Bug 322015 - Apply button is always disabled in Applet's Settings dialog
Summary: Apply button is always disabled in Applet's Settings dialog
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View (show other bugs)
Version: 2.7-git
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: 2.8
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-06 03:23 UTC by André Marcelo Alvarenga
Modified: 2013-07-08 12:28 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments
Screenshot (53.17 KB, image/png)
2013-07-06 03:24 UTC, André Marcelo Alvarenga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description André Marcelo Alvarenga 2013-07-06 03:23:32 UTC
This happens in Settings dialog for all applets (in Context View).

Reproducible: Always

Steps to Reproduce:
1. Click on Settings icon, ie. Wikipedia applet (see screenshot)
2. Try change some options.
3. Apply button stayed disabled.
Comment 1 André Marcelo Alvarenga 2013-07-06 03:24:23 UTC
Created attachment 80985 [details]
Screenshot
Comment 2 Mark Kretschmann 2013-07-08 12:28:30 UTC
Git commit e153a71b179809bc570f56f15d38185f78f9e721 by Mark Kretschmann.
Committed on 08/07/2013 at 12:27.
Pushed by markey into branch 'master'.

Removed broken Apply button in applets' settings dialog.
FIXED-IN: 2.8

M  +1    -0    ChangeLog
M  +2    -0    src/context/applets/albums/Albums.cpp
M  +2    -0    src/context/applets/currenttrack/CurrentTrack.cpp
M  +3    -0    src/context/applets/labels/LabelsApplet.cpp
M  +3    -1    src/context/applets/lyrics/LyricsApplet.cpp
M  +2    -0    src/context/applets/photos/PhotosApplet.cpp
M  +2    -0    src/context/applets/similarartists/SimilarArtistsApplet.cpp
M  +2    -0    src/context/applets/tabs/TabsApplet.cpp
M  +3    -1    src/context/applets/wikipedia/WikipediaApplet.cpp

http://commits.kde.org/amarok/e153a71b179809bc570f56f15d38185f78f9e721